Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderLine

All Known Implementing Classes:
  OrderLineImpl

public interface OrderLine
extends Belonging

OrderLine represents one line in an Order. It contains a reference to an Item, a Quantity, a unitPrice and a list of Adjustments to the total line price. Attribute: quantity

- Containment: By Value
- Multiplicity: 1:1

Attribute: tax

- Containment: By Value
- Multiplicity: 1:1

Attribute: unitPrice

- Containment: By Value
- Multiplicity: 1:1

Attribute: totalLineAmount

- Containment: By Value
- Multiplicity: 1:1

Attribute: shipping

- Containment: By Value
- Multiplicity: 1:1

Attribute: productIdentifier

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `OrderLineHome`, `OrderLineImpl`

Method Summary
`java.util.ArrayList` | `getAdjustmentPresentations()` Get the list of OrderAdjustmentPresentation objects
`java.lang.String` | `getDescription()` Get the value of description
`long` | `getId()` Get order line id
`Money` | `getLineTotal(int totalType)` Gets the line total for the given total type
`Money` | `getMsrp()` Get the value of msrp
`java.lang.String` | `getProductIdentifier()` Get the value of productIdentifier
`double` | `getQuantity()` Get the value of quantity
`Money` | `getShipping()` Get the value of shipping
`Money` | `getTax()` Get the value of tax
`double` | `getTotalLineAmount()` Get the value of quantity
`Money` | `getUnitPrice()` Get the value of unitPrice
`void` | `setAdjustmentPresentations(java.util.ArrayList adjustmentPresentations)` Set the list of OrderAdjustmentPresentation object
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setId(long id)` Set the order line id
`void` | `setMsrp(Money msrp)` Set the value of msrp
`void` | `setProductIdentifier(java.lang.String productIdentifier)` Set the value of productIdentifier
`void` | `setQuantity(double quantity)` Set the value of quantity
`void` | `setShipping(Money shipping)` Set the value of shipping
`void` | `setTax(Money tax)` Set the value of tax
`void` | `setTotalLineAmount(double totalLineAmount)` Set the value of quantity
`void` | `setUnitPrice(Money unitPrice)` Set the value of unitPrice

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getQuantity

    public double getQuantity()

  Get the value of quantity

  Returns:
    quantity.

### setQuantity

    public void setQuantity(double quantity)

  Set the value of quantity

  Parameters:
    `quantity` - quantity to be added

### getTotalLineAmount

    public double getTotalLineAmount()

  Get the value of quantity

  Returns:
    totalLineAmount.

### setTotalLineAmount

    public void setTotalLineAmount(double totalLineAmount)

  Set the value of quantity

  Parameters:
    `totalLineAmount` - quantity to be added

### getTax

    public Money getTax()

  Get the value of tax

  Returns:
    tax.

### setTax

    public void setTax(Money tax)

  Set the value of tax

  Parameters:
    `tax` - tax to be added

### getUnitPrice

    public Money getUnitPrice()

  Get the value of unitPrice

  Returns:
    unitPrice.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Set the value of unitPrice

  Parameters:
    `unitPrice` - unitPrice to be added

### getShipping

    public Money getShipping()

  Get the value of shipping

  Returns:
    shipping.

### setShipping

    public void setShipping(Money shipping)

  Set the value of shipping

  Parameters:
    `shipping` - shipping to be added

### getProductIdentifier

    public java.lang.String getProductIdentifier()

  Get the value of productIdentifier

  Returns:
    productIdentifier.

### setProductIdentifier

    public void setProductIdentifier(java.lang.String productIdentifier)

  Set the value of productIdentifier

  Parameters:
    `productIdentifier` - productIdentifier to be added

### getMsrp

    public Money getMsrp()

  Get the value of msrp

  Returns:
    msrp.

### setMsrp

    public void setMsrp(Money msrp)

  Set the value of msrp

  Parameters:
    `msrp` - msrp to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description

  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description

  Parameters:
    `description` - description to be added

### getAdjustmentPresentations

    public java.util.ArrayList getAdjustmentPresentations()

  Get the list of OrderAdjustmentPresentation objects

  Returns:
    an array list

### setAdjustmentPresentations

    public void setAdjustmentPresentations(java.util.ArrayList adjustmentPresentations)

  Set the list of OrderAdjustmentPresentation object

  Parameters:
    `adjustments,` - the list of OrderDiscountPresentations

### getId

    public long getId()

  Get order line id

  Returns:
    an array list

### setId

    public void setId(long id)

  Set the order line id

  Parameters:
    `id,` - the long order line id.

### getLineTotal

    public Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Gets the line total for the given total type

  Parameters:
    `total` - type
  Throws:
    InvalidArgumentException -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved